import request from '@/utils/request'

// 查询严重违法失信企业名单列表
export function listEnterprises(query) {
  return request({
    url: '/basicData/xcrSeriousIllegalDishonestEnterprises/findByPage',
    method: 'get',
    params: query
  })
}

// 查询严重违法失信企业名单详细
export function getEnterprises(xhCodeId) {
  return request({
    url: '/basicData/xcrSeriousIllegalDishonestEnterprises/' + xhCodeId,
    method: 'get'
  })
}

// 新增严重违法失信企业名单
export function addEnterprises(data) {
  return request({
    url: '/basicData/xcrSeriousIllegalDishonestEnterprises',
    method: 'post',
    data: data
  })
}

// 修改严重违法失信企业名单
export function updateEnterprises(data) {
  return request({
    url: '/basicData/xcrSeriousIllegalDishonestEnterprises',
    method: 'put',
    data: data
  })
}

// 删除严重违法失信企业名单
export function delEnterprises(xhCodeId) {
  return request({
    url: '/basicData/xcrSeriousIllegalDishonestEnterprises/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delEnterprisesBatch(ids) {
  return request.post('/basicData/xcrSeriousIllegalDishonestEnterprises/delete',ids)
}
